open Mts;;

let _ =
  try
    let lexbuf = Lexing.from_channel stdin
    in
      while true do
        let parsed = FspParser.main FspLexer.token lexbuf
	in
	let name,result = toMts parsed
	in
          print_string ("\nlet " ^ (String.uncapitalize name) ^ " = ");
	  printMtsCaml result;
	  print_string ";;\n\n";
	  flush stdout
      done
  with FspLexer.Eof ->
    exit 0
;;
